.top-bar {
    color: $white;
    padding: rem(10);
    text-align: center;
    background: #040E31;
    font-size: rem(14);
    line-height: rem(15);

    &__wrap {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-wrap: wrap;
    }

    &__title {
        width: 100%;
        font-size: rem(16);
        line-height: rem(18);
        text-transform: uppercase;
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            font-size: 0;
            line-height: 0;
            height: rem(17);
            display: inline-block;
            margin-right: rem(5);
            flex-shrink: 0;
        }

        span {
            display: inline-block;
        }
    }

    &__item {
        position: relative;
        margin-top: rem(10);

        &--date {
            width: 100%;
        }

        &--location {

            &:after {
                content: '•';
                margin: 0 rem(8);
            }
        }
    }

    &__button {
        display: none;
    }

    @include media-breakpoint-up(md) {
        white-space: nowrap;

        &__wrap {
            flex-wrap: nowrap;
        }

        &__title {
            width: auto;
            margin-right: rem(20);
        }

        &__item {
            margin-top: 0;


            &--date {
                width: auto;
            }

            &--location {

                &:before {
                    content: '•';
                    margin: 0 rem(8);
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(18);
        line-height: rem(24);
        padding: rem(18);

        &__title {
            font-size: rem(20);
            line-height: rem(24);

            i {
                height: rem(20);
                margin-right: rem(10);
            }
        }

        &__button {
            display: block;
            margin-left: rem(20);
        }
    }
}
